Read multiple AvailablePhoneNumberTollFree resourcesCopy Pageget https://api.twilio.com/2010-04-01/Accounts/{MAIN_ACCOUNT_SID}/AvailablePhoneNumbers/{CountryCode}/TollFree.json (COPY)To find any toll-free numberPath ParamsMAIN_ACCOUNT_SIDstringrequiredThe SID of the Account requesting the AvailablePhoneNumber resources. Pattern: ^AC[0-9a-fA-F]{32}$ Min length: 34 Max length: 34CountryCodestringrequiredThe ISO-3166-1 country code of the country from which to read phone numbers.Query ParamsAreaCodeint32The area code of the phone numbers to read. Applies to only phone numbers in the US and Canada.ContainsstringThe pattern on which to match phone numbers. Valid characters are *, 0-9, a-z, and A-Z. The * character matches any single digit. For examples, see Example 2 and Example 3. If specified, this value must have at least two characters.SmsEnabledbooleanWhether the phone numbers can receive text messages. Can be: true or false.truefalseMmsEnabledbooleanWhether the phone numbers can receive MMS messages. Can be: true or false.truefalseVoiceEnabledbooleanWhether the phone numbers can receive calls. Can be: true or false.truefalseExcludeAllAddressRequiredbooleanWhether to exclude phone numbers that require an Address. Can be:true or false and the default is falsetruefalseExcludeLocalAddressRequiredbooleanWhether to exclude phone numbers that require a local Address. Can be: true or false and the default is false.truefalseExcludeForeignAddressRequiredstringWhether to exclude phone numbers that require a foreign Address. Can be: true or false and the default is false.BetabooleanWhether to read phone numbers that are new to the Twilio platform. Can be: true or falseand the default istrue`.truefalseNearNumberstringGiven a phone number, find a geographically close number within distance miles. Distance defaults to 25 miles. Applies to only phone numbers in the US and Canada.NearLatLongstringGiven a latitude/longitude pair lat,long find geographically close numbers within distance miles. Applies to only phone numbers in the US and Canada.Distanceint32The search radius, in miles, for a near_ query. Can be up to 500 and the default is 25. Applies to only phone numbers in the US and Canada.InPostalCodestringLimit results to a particular postal code. Given a phone number, search within the same postal code as that number. Applies to only phone numbers in the US and Canada.InRegionstringLimit results to a particular region, state, or province. Given a phone number, search within the same region as that number. Applies to only phone numbers in the US and Canada.InRateCenterstringLimit results to a specific rate center, or given a phone number search within the same rate center as that number. Requires in_lata to be set as well. Applies to only phone numbers in the US and CanadaInLatastringLimit results to a specific local access and transport area (LATA). Given a phone number, search within the same LATA as that number. Applies to only phone numbers in the US and Canada.InLocalitystringLimit results to a particular locality or city. Given a phone number, search within the same Locality as that numberFaxEnabledbooleanWhether the phone numbers can receive faxes. Can be: true or false.truefalsePageSizeint32How many resources to return in each list page. The default is 50, and the maximum is 1000. Minimum: 1 Maximum: 1000Pageint32The page index. This value is simply for client state. Minimum: 0PageTokenstringThe page token. This is provided by the API.Responses 200200 404404Updated over 1 year ago